package com.aliyun.vodplayer.demo.activity.advance.liveanswer;

import android.app.Activity;
import android.app.Dialog;
import android.view.View;
import android.view.WindowManager;
import android.widget.TextView;

import com.aliyun.vodplayer.demo.R;


/*
 * Copyright (C) 2010-2017 Alibaba Group Holding Limited.
 */
public class TipDialog {

    private Dialog dialog = null;
    private TextView tipTxtView;
    private TextView iknowBtn;


    public TipDialog(Activity activity) {

        dialog = new Dialog(activity, R.style.dialog);
        dialog.setContentView(R.layout.alivc_dialog_tip);
        findAllViews();
    }

    private void findAllViews() {
        View view = dialog.getWindow().getDecorView();
        tipTxtView = (TextView) view.findViewById(R.id.tip_txt);
        iknowBtn = (TextView) view.findViewById(R.id.i_know);
    }

    public void showMode(String tipTxt, String btnTxt) {

        dialog.setCancelable(false);
        dialog.setCanceledOnTouchOutside(false);


        showActural(tipTxt, btnTxt);
    }

    public void showCanceled(String tipTxt , String btnTxt){

        dialog.setCancelable(true);
        dialog.setCanceledOnTouchOutside(true);

        showActural(tipTxt, btnTxt);
    }

    private void showActural(String tipTxt, String btnTxt) {
        tipTxtView.setText(tipTxt);
        iknowBtn.setText(btnTxt);

        /*
         * 将对话框的大小按屏幕大小的百分比设置
         */
        int screenWidth = dialog.getWindow().getWindowManager().getDefaultDisplay().getWidth();
        WindowManager.LayoutParams p = dialog.getWindow().getAttributes(); // 获取对话框当前的参数值
        p.width = (int) (screenWidth * 0.8f);
        dialog.getWindow().setAttributes(p);

        try {
            dialog.show();
        }catch (Exception e){
            //防止activity退出了，还去显示导致的崩溃
        }
    }

    public void setOnBtnClickListener(View.OnClickListener clickListener) {
        iknowBtn.setOnClickListener(clickListener);
    }

    public void dismiss() {
        dialog.dismiss();
    }
}
